%define api 5
%define major 5
%define oname qt5

%define module qt3d

%define qt3dcore %mklibname qt%{api}3dcore %{major}
%define qt3dcored %mklibname qt%{api}3dcore -d
%define qt3dinput %mklibname qt%{api}3dinput %{major}
%define qt3dinputd %mklibname qt%{api}3dinput -d
%define qt3dlogic %mklibname qt%{api}3dlogic %{major}
%define qt3dlogicd %mklibname qt%{api}3dlogic -d
%define qt3dquick %mklibname qt%{api}3dquick %{major}
%define qt3dquickd %mklibname qt%{api}3dquick -d
%define qt3dquickinput %mklibname qt%{api}3dquickinput %{major}
%define qt3dquickinputd %mklibname qt%{api}3dquickinput -d
%define qt3dquickrender %mklibname qt%{api}3dquickrender %{major}
%define qt3dquickrenderd %mklibname qt%{api}3dquickrender -d
%define qt3drender %mklibname qt%{api}3drender %{major}
%define qt3drenderd %mklibname qt%{api}3drender -d

# Requires qdoc5 and qt5-tools to build
%bcond_without docs

Summary:	Version 5 of the Qt toolkit (%{module} packages)
Name:		qt5-%{module}
Version:	5.6.1
Release:	2
License:	LGPLv3+
Group:		Development/KDE and Qt
Url:		http://qt-project.org/
Source0:	http://ftp.fau.de/qtproject/official_releases/qt/%(echo %{version} |cut -d. -f1-2)/%{version}/submodules/%{module}-opensource-src-%{version}.tar.xz
Source100:	%{name}.rpmlintrc
BuildRequires:	pkgconfig(assimp)
BuildRequires:	pkgconfig(Qt5Concurrent) >= %{version}
BuildRequires:	pkgconfig(Qt5Core) >= %{version}
BuildRequires:	pkgconfig(Qt5Gui) >= %{version}
BuildRequires:	pkgconfig(Qt5Network) >= %{version}
BuildRequires:	pkgconfig(Qt5OpenGL) >= %{version}
BuildRequires:	pkgconfig(Qt5Qml) >= %{version}
BuildRequires:	pkgconfig(Qt5Quick) >= %{version}
BuildRequires:	pkgconfig(Qt5Widgets) >= %{version}
%if %{with docs}
BuildRequires:	qdoc5
BuildRequires:	qt5-tools
%endif

%description
Version 5 of the Qt toolkit (%{module} packages).

#----------------------------------------------------------------------------

%package -n %{qt3dcore}
Summary:	Qt 3D Core library
Group:		System/Libraries
Suggests:	qt5-sceneparser-assimp = %{EVRD}
Suggests:	qt5-sceneparser-gltf = %{EVRD}

%description -n %{qt3dcore}
Qt 3D Core library.

%files -n %{qt3dcore}
%{_qt5_bindir}/qgltf
%{_qt5_libdir}/libQt%{api}3DCore.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}3DCore.so.%{major}*
%endif

#----------------------------------------------------------------------------

%package -n %{qt3dcored}
Summary:	Development files for version 5 of the Qt 3D Core library
Group:		Development/KDE and Qt
Requires:	%{qt3dcore} = %{EVRD}
Requires:	qmake%{api}
Conflicts:	qmake5 < 5.6.0

%description -n %{qt3dcored}
Development files for version 5 of the Qt 3D Core library.

%files -n %{qt3dcored}
%{_qt5_includedir}/Qt3DCore
%{_qt5_libdir}/libQt%{api}3DCore.so
%{_qt5_libdir}/libQt%{api}3DCore.prl
%{_qt5_libdir}/cmake/Qt%{api}3DCore
%{_qt5_libdir}/pkgconfig/Qt%{api}3DCore.pc
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/pkgconfig/Qt%{api}3DCore.pc
%endif
%{_qt5_prefix}/mkspecs/modules/qt_lib_3dcore.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_3dcore_private.pri

#----------------------------------------------------------------------------

%package -n %{qt3dcore}-sceneparser-assimp
Summary:	Assimp (Open Asset Import Library) sceneparser for Qt 3D Core library
Group:		System/Libraries
Provides:	qt5-sceneparser-assimp = %{EVRD}

%description -n %{qt3dcore}-sceneparser-assimp
Assimp (Open Asset Import Library) sceneparser for Qt 3D Core library.

%files -n %{qt3dcore}-sceneparser-assimp
%{_qt5_plugindir}/sceneparsers/libassimpsceneparser.so

#----------------------------------------------------------------------------

%package -n %{qt3dcore}-sceneparser-gltf
Summary:	glTF sceneparser for Qt 3D Core library
Group:		System/Libraries
Provides:	qt5-sceneparser-gltf = %{EVRD}

%description -n %{qt3dcore}-sceneparser-gltf
glTF sceneparser for Qt 3D Core library. glTF is the runtime asset format for
WebGL, OpenGL ES and OpenGL.

%files -n %{qt3dcore}-sceneparser-gltf
%{_qt5_plugindir}/sceneparsers/libgltfsceneparser.so

#----------------------------------------------------------------------------

%package -n %{qt3dinput}
Summary:	Qt 3D Input library
Group:		System/Libraries

%description -n %{qt3dinput}
Qt 3D Input library.

%files -n %{qt3dinput}
%{_qt5_libdir}/libQt%{api}3DInput.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}3DInput.so.%{major}*
%endif

#----------------------------------------------------------------------------

%package -n %{qt3dinputd}
Summary:	Development files for version 5 of the Qt 3D Input library
Group:		Development/KDE and Qt
Requires:	%{qt3dinput} = %{EVRD}
Requires:	qmake%{api}
Conflicts:	qmake5 < 5.6.0

%description -n %{qt3dinputd}
Development files for version 5 of the Qt 3D Input library.

%files -n %{qt3dinputd}
%{_qt5_includedir}/Qt3DInput
%{_qt5_libdir}/libQt%{api}3DInput.so
%{_qt5_libdir}/libQt%{api}3DInput.prl
%{_qt5_libdir}/cmake/Qt%{api}3DInput
%{_qt5_libdir}/pkgconfig/Qt%{api}3DInput.pc
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/pkgconfig/Qt%{api}3DInput.pc
%endif
%{_qt5_prefix}/mkspecs/modules/qt_lib_3dinput.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_3dinput_private.pri

#----------------------------------------------------------------------------

%package -n %{qt3dlogic}
Summary:	Qt 3D Logic library
Group:		System/Libraries

%description -n %{qt3dlogic}
Qt 3D Logic library.

%files -n %{qt3dlogic}
%{_qt5_libdir}/libQt%{api}3DLogic.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}3DLogic.so.%{major}*
%endif

#----------------------------------------------------------------------------

%package -n %{qt3dlogicd}
Summary:	Development files for version 5 of the Qt 3D Logic library
Group:		Development/KDE and Qt
Requires:	%{qt3dlogic} = %{EVRD}
Requires:	qmake%{api}
Conflicts:	qmake5 < 5.6.0

%description -n %{qt3dlogicd}
Development files for version 5 of the Qt 3D Logic library.

%files -n %{qt3dlogicd}
%{_qt5_includedir}/Qt3DLogic
%{_qt5_libdir}/libQt%{api}3DLogic.so
%{_qt5_libdir}/libQt%{api}3DLogic.prl
%{_qt5_libdir}/cmake/Qt%{api}3DLogic
%{_qt5_libdir}/pkgconfig/Qt%{api}3DLogic.pc
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/pkgconfig/Qt%{api}3DLogic.pc
%endif
%{_qt5_prefix}/mkspecs/modules/qt_lib_3dlogic.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_3dlogic_private.pri

#----------------------------------------------------------------------------

%package -n %{qt3dquick}
Summary:	Qt 3D Quick library
Group:		System/Libraries
Conflicts:	%{_lib}qt53dinput5 < 5.6.0
Conflicts:	%{_lib}qt53dlogic5 < 5.6.0
Conflicts:	%{_lib}qt5quick5 < 5.6.0

%description -n %{qt3dquick}
Qt 3D Quick library.

%files -n %{qt3dquick}
%{_qt5_libdir}/libQt%{api}3DQuick.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}3DQuick.so.%{major}*
%endif
%{_qt5_prefix}/qml/Qt3D/Core
%{_qt5_prefix}/qml/Qt3D/Input
%{_qt5_prefix}/qml/Qt3D/Logic
%{_qt5_prefix}/qml/Qt3D/Render
%{_qt5_prefix}/qml/QtQuick/Scene3D/

#----------------------------------------------------------------------------

%package -n %{qt3dquickd}
Summary:	Development files for version 5 of the Qt 3D Quick library
Group:		Development/KDE and Qt
Requires:	%{qt3dquick} = %{EVRD}
Requires:	qmake%{api}
Conflicts:	qmake5 < 5.6.0

%description -n %{qt3dquickd}
Development files for version 5 of the Qt 3D Quick library.

%files -n %{qt3dquickd}
%{_qt5_includedir}/Qt3DQuick
%{_qt5_libdir}/libQt%{api}3DQuick.so
%{_qt5_libdir}/libQt%{api}3DQuick.prl
%{_qt5_libdir}/cmake/Qt%{api}3DQuick
%{_qt5_libdir}/pkgconfig/Qt%{api}3DQuick.pc
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/pkgconfig/Qt%{api}3DQuick.pc
%endif
%{_qt5_prefix}/mkspecs/modules/qt_lib_3dquick.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_3dquick_private.pri

#----------------------------------------------------------------------------

%package -n %{qt3dquickinput}
Summary:	Qt 3D Quick Input library
Group:		System/Libraries

%description -n %{qt3dquickinput}
Qt 3D Quick Input library.

%files -n %{qt3dquickinput}
%{_qt5_libdir}/libQt%{api}3DQuickInput.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}3DQuickInput.so.%{major}*
%endif

#----------------------------------------------------------------------------

%package -n %{qt3dquickinputd}
Summary:	Development files for version 5 of the Qt 3D Quick Input library
Group:		Development/KDE and Qt
Requires:	%{qt3dquickinput} = %{EVRD}
Requires:	qmake%{api}
Conflicts:	qmake5 < 5.6.0

%description -n %{qt3dquickinputd}
Development files for version 5 of the Qt 3D Quick Input library.

%files -n %{qt3dquickinputd}
%{_qt5_includedir}/Qt3DQuickInput
%{_qt5_libdir}/libQt%{api}3DQuickInput.so
%{_qt5_libdir}/libQt%{api}3DQuickInput.prl
%{_qt5_libdir}/cmake/Qt%{api}3DQuickInput
%{_qt5_libdir}/pkgconfig/Qt%{api}3DQuickInput.pc
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/pkgconfig/Qt%{api}3DQuickInput.pc
%endif
%{_qt5_prefix}/mkspecs/modules/qt_lib_3dquickinput.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_3dquickinput_private.pri

#----------------------------------------------------------------------------

%package -n %{qt3dquickrender}
Summary:	Qt 3D Quick Render library
Group:		System/Libraries
# Renamed in 5.6+
Conflicts:	%{_lib}qt53dquickrenderer5 < 5.6.0
Obsoletes:	%{_lib}qt53dquickrenderer5 < 5.6.0

%description -n %{qt3dquickrender}
Qt 3D Quick Render library.

%files -n %{qt3dquickrender}
%{_qt5_libdir}/libQt%{api}3DQuickRender.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}3DQuickRender.so.%{major}*
%endif

#----------------------------------------------------------------------------

%package -n %{qt3dquickrenderd}
Summary:	Development files for version 5 of the Qt 3D Quick Render library
Group:		Development/KDE and Qt
Requires:	%{qt3dquickrender} = %{EVRD}
Requires:	qmake%{api}
Conflicts:	qmake5 < 5.6.0
# Renamed in 5.6+
Conflicts:	%{_lib}qt53dquickrenderer-devel < 5.6.0
Obsoletes:	%{_lib}qt53dquickrenderer-devel < 5.6.0

%description -n %{qt3dquickrenderd}
Development files for version 5 of the Qt 3D Quick Render library.

%files -n %{qt3dquickrenderd}
%{_qt5_includedir}/Qt3DQuickRender
%{_qt5_libdir}/libQt%{api}3DQuickRender.so
%{_qt5_libdir}/libQt%{api}3DQuickRender.prl
%{_qt5_libdir}/cmake/Qt%{api}3DQuickRender
%{_qt5_libdir}/pkgconfig/Qt%{api}3DQuickRender.pc
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/pkgconfig/Qt%{api}3DQuickRender.pc
%endif
%{_qt5_prefix}/mkspecs/modules/qt_lib_3dquickrender.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_3dquickrender_private.pri

#----------------------------------------------------------------------------

%package -n %{qt3drender}
Summary:	Qt 3D Render library
Group:		System/Libraries
# Renamed in 5.6+
Conflicts:	%{_lib}qt53drenderer5 < 5.6.0
Obsoletes:	%{_lib}qt53drenderer5 < 5.6.0

%description -n %{qt3drender}
Qt 3D Render library.

%files -n %{qt3drender}
%{_qt5_libdir}/libQt%{api}3DRender.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}3DRender.so.%{major}*
%endif

#----------------------------------------------------------------------------

%package -n %{qt3drenderd}
Summary:	Development files for version 5 of the Qt 3D Render library
Group:		Development/KDE and Qt
Requires:	%{qt3drender} = %{EVRD}
Requires:	qmake%{api}
Conflicts:	qmake5 < 5.6.0
# Renamed in 5.6+
Conflicts:	%{_lib}qt53drenderer-devel < 5.6.0
Obsoletes:	%{_lib}qt53drenderer-devel < 5.6.0

%description -n %{qt3drenderd}
Development files for version 5 of the Qt 3D Render library.

%files -n %{qt3drenderd}
%{_qt5_includedir}/Qt3DRender
%{_qt5_libdir}/libQt%{api}3DRender.so
%{_qt5_libdir}/libQt%{api}3DRender.prl
%{_qt5_libdir}/cmake/Qt%{api}3DRender
%{_qt5_libdir}/pkgconfig/Qt%{api}3DRender.pc
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/pkgconfig/Qt%{api}3DRender.pc
%endif
%{_qt5_prefix}/mkspecs/modules/qt_lib_3drender.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_3drender_private.pri

#----------------------------------------------------------------------------

%if %{with docs}
%package doc
Summary:	Qt QCH documentation for %{name}
Group:		Documentation
Conflicts:	qt5-doc < 5.6.0
BuildArch:	noarch

%description doc
Qt QCH documentation for %{name}.

%files doc
%{_qt5_docdir}/qt3d.qch
%endif

#----------------------------------------------------------------------------

%package examples
Summary:	Example applications for %{name}
Group:		Development/KDE and Qt
Conflicts:	qt5-examples < 5.6.0

%description examples
Example applications for %{name}.

%files examples
%{_qt5_exampledir}/qt3d/

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-opensource-src-%{version}

%build
%qmake_qt5
%make STRIP=true

%if %{with docs}
%make docs
%endif

%install
make install STRIP=true INSTALL_ROOT=%{buildroot}

%if %{with docs}
make install_qch_docs INSTALL_ROOT=%{buildroot}
%endif

%if "%{_qt5_libdir}" != "%{_libdir}"
pushd %{buildroot}%{_libdir}
ln -s ../%{_lib}/qt%{api}/%{_lib}/*.so.* .
mkdir pkgconfig
cd pkgconfig
ln -s ../../%{_lib}/qt%{api}/%{_lib}/pkgconfig/*.pc .
popd
%endif

# QMAKE_PRL_BUILD_DIR = /builddir/build/BUILD/qt-everywhere-opensource-src-5.4.0-beta/qtwayland/src/client
## .prl/.la file love
# nuke .prl reference(s) to %%buildroot, excessive (.la-like) libs
pushd %{buildroot}%{_qt5_libdir}
for prl_file in libQt5*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
  if [ -f "$(basename ${prl_file} .prl).so" ]; then
    rm -fv "$(basename ${prl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
  fi
done
popd

%changelog

* Tue Jun 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.1-2
- (382c672) Bump release


